Description

Since annotations are part of the code in FLOW3, we should add some more rules in the CGL documentation.
E.g. it would be good to have a list of all annotations used in FLOW3 (including @aspect eg).

And it should be stated which annotations are required in which cases.

Additionally the order of annotation tags varies from class to class currently. My suggestion for a defined order is

For classes:

@version
@license

For constructor and methods in classes:

// parameters/return type
@param
@return
// validation
@validate
@dontvalidate
// authors (we might get rid of this?)
@author
// API related
@api
@since
@deprecated
// additional annotations
@see
@todo

For test cases:

@test
@dataProvider
@expectedException
@author

What am I missing?

Associated revisions
Revision 284d5136 - 2009-09-24 14:18 - Karsten Dambekalns

[~TASK] FLOW3 (Documentation): Expanded section on annotations used in the code, resolves #4169.

History
#1 - 2009-09-21 22:53 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

For classes @aspect and @scope are missing. I'll check more thoroughly. I like the suggested order, so far.

#2 - 2009-09-23 16:56 - Karsten Dambekalns
- Target version set to 1.0 alpha 5

#3 - 2009-09-24 14:16 - Karsten Dambekalns

I'll commit the suggested change to the manual soon. I added lists like above to the CGL appendix. The required annotations are listed in the standard
docblock examples, further explanation of FLOW3-specific annotations must be in the related chapters. Feel free to check my changes and comment
if needed!

#4 - 2009-09-24 15:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3221.
